Skip to main content
Version: API v1

Notifications auslesen

GET/v1/notifications
API version
v1
Request method
GET
Operation ID
getNotifications

Liste alle Notifications worauf der Login aktuell rechte hat aus

Request​

Responses​

Format
application/json
Description

Die Notifications

  • notificationsarray of objectrequired
    • Array[
      • *object
        • uidnumberrequired
        • crdatenumberrequired
        • readbooleanrequired
        • titlestringrequired
        • messagestringrequired
      ]
  • unreadCountnumberrequired
Content-Type: application/json

{
"notifications": [
{
"uid": 123,
"crdate": 123,
"read": true,
"title": "string",
"message": "string"
}
],
"unreadCount": 123
}
{
"type": "object",
"required": [
"notifications",
"unreadCount"
],
"properties": {
"notifications": {
"type": "array",
"items": {
"title": "Notification",
"type": "object",
"required": [
"uid",
"crdate",
"read",
"title",
"message"
],
"properties": {
"uid": {
"type": "number"
},
"crdate": {
"type": "number"
},
"read": {
"type": "boolean"
},
"title": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"unreadCount": {
"type": "number"
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/notifications?countOnly=true

On this page